Debian Bug report logs - #249214
FTBFS: Doesn't recognise that hurd-i386 is a glibc-based arch

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Jeff Bailey <jbailey@raspberryginger.com>

Date: Sun, 16 May 2004 03:18:01 UTC

Severity: important

Fixed in version ncurses/5.4-4

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#249214; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@raspberryginger.com>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@raspberryginger.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: Doesn't recognise that hurd-i386 is a glibc-based arch
Date: Sat, 15 May 2004 23:05:53 -0400
Package: ncurses
Severity: important

Here are patches to make hurd-i386 build again.  the hurd terminal
type isn't included in ncurses-base at the moment either.  Will file
that in the next bug.

Thanks, Daniel!


--- configure.bak       2004-05-15 23:02:30.000000000 -0400
+++ configure   2004-05-15 23:02:49.000000000 -0400
@@ -6201,7 +6201,7 @@
 irix6.*) #(vi
        CPPFLAGS="$CPPFLAGS -D_SGI_SOURCE"
        ;;
-linux*) #(vi
+gnu*|linux*) #(vi
  
 echo "$as_me:6206: checking if we must define _GNU_SOURCE" >&5
 echo $ECHO_N "checking if we must define _GNU_SOURCE... $ECHO_C" >&6
--- aclocal.m4.bak      2004-05-15 23:02:22.000000000 -0400
+++ aclocal.m4  2004-05-15 23:02:40.000000000 -0400
@@ -3646,7 +3646,7 @@
 irix6.*) #(vi
        CPPFLAGS="$CPPFLAGS -D_SGI_SOURCE"
        ;;
-linux*) #(vi
+gnu*|linux*) #(vi
        CF_GNU_SOURCE
        ;;


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.5-1-k7
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8



Message sent on to Jeff Bailey <jbailey@raspberryginger.com>:
Bug#249214. Full text and rfc822 format available.

Message #8 received at 249214-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jeff Bailey <jbailey@raspberryginger.com>, 249214-submitter@bugs.debian.org
Subject: Re: Bug#249214: FTBFS: Doesn't recognise that hurd-i386 is a glibc-based arch
Date: Thu, 20 May 2004 15:29:16 -0400
[Message part 1 (text/plain, inline)]
On Sat, May 15, 2004 at 11:05:53PM -0400, Jeff Bailey wrote:
> Package: ncurses
> Severity: important
> 
> Here are patches to make hurd-i386 build again.  the hurd terminal
...
> --- aclocal.m4.bak      2004-05-15 23:02:22.000000000 -0400
> +++ aclocal.m4  2004-05-15 23:02:40.000000000 -0400
> @@ -3646,7 +3646,7 @@
>  irix6.*) #(vi
>         CPPFLAGS="$CPPFLAGS -D_SGI_SOURCE"
>         ;;
> -linux*) #(vi
> +gnu*|linux*) #(vi

What is the whole output of config.guess?

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#249214; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Jeff Bailey <jbailey@raspberryginger.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 249214-quiet@bugs.debian.org (full text, mbox):

From: Jeff Bailey <jbailey@raspberryginger.com>
To: dickey@his.com, 249214-quiet@bugs.debian.org
Cc: Jeff Bailey <jbailey@raspberryginger.com>, 249214-submitter@bugs.debian.org
Subject: Re: Bug#249214: FTBFS: Doesn't recognise that hurd-i386 is a glibc-based arch
Date: Thu, 20 May 2004 13:15:42 -0700
On Thu, May 20, 2004 at 03:29:16PM -0400, Thomas Dickey wrote:
> > Here are patches to make hurd-i386 build again.  the hurd terminal
> ...
> > --- aclocal.m4.bak      2004-05-15 23:02:22.000000000 -0400
> > +++ aclocal.m4  2004-05-15 23:02:40.000000000 -0400
> > @@ -3646,7 +3646,7 @@
> >  irix6.*) #(vi
> >         CPPFLAGS="$CPPFLAGS -D_SGI_SOURCE"
> >         ;;
> > -linux*) #(vi
> > +gnu*|linux*) #(vi
> 
> What is the whole output of config.guess?

i386-unknown-gnu0.3

Tks,
Jeff Bailey

-- 
Ignorance was bliss.



Message sent on to Jeff Bailey <jbailey@raspberryginger.com>:
Bug#249214. Full text and rfc822 format available.

Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeff Bailey <jbailey@raspberryginger.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 249214-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 249214-close@bugs.debian.org
Subject: Bug#249214: fixed in ncurses 5.4-4
Date: Thu, 27 May 2004 12:17:18 -0400
Source: ncurses
Source-Version: 5.4-4

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.4-4_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.4-4_i386.deb
libncurses5-dev_5.4-4_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.4-4_i386.deb
libncurses5_5.4-4_i386.deb
  to pool/main/n/ncurses/libncurses5_5.4-4_i386.deb
libncursesw5-dbg_5.4-4_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.4-4_i386.deb
libncursesw5-dev_5.4-4_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.4-4_i386.deb
libncursesw5_5.4-4_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.4-4_i386.deb
ncurses-base_5.4-4_all.deb
  to pool/main/n/ncurses/ncurses-base_5.4-4_all.deb
ncurses-bin_5.4-4_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.4-4_i386.deb
ncurses-term_5.4-4_all.deb
  to pool/main/n/ncurses/ncurses-term_5.4-4_all.deb
ncurses_5.4-4.diff.gz
  to pool/main/n/ncurses/ncurses_5.4-4.diff.gz
ncurses_5.4-4.dsc
  to pool/main/n/ncurses/ncurses_5.4-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 249214@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 27 May 2004 10:09:15 -0400
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.4-4
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 242794 249214 249215
Changes: 
 ncurses (5.4-4) unstable; urgency=low
 .
   * Update README.Debian to describe current packaging (Closes: #242794).
   * Make hurd-i386 build again (Closes: #249214).
   * Install the Hurd terminfo entry in ncurses-base (Closes: #249215).
Files: 
 7831fc5efac519bc674292df0504dd91 807 libs standard ncurses_5.4-4.dsc
 b5868578e0833dc0ed397d2a29f19c49 32421 libs standard ncurses_5.4-4.diff.gz
 cf0a53179f1bb60564453d2a60464ec8 275566 base required libncurses5_5.4-4_i386.deb
 075ebd97d9edc85fe5cbe1870e7bc656 1038434 libdevel optional libncurses5-dev_5.4-4_i386.deb
 5c6087c93253396282b2af60ab43c10c 3961538 libdevel extra libncurses5-dbg_5.4-4_i386.deb
 2b240c897ee0c885400d2bd44c068fa2 287474 libs standard libncursesw5_5.4-4_i386.deb
 8931044745c3a4eda61abc93b262f9d4 396898 libdevel optional libncursesw5-dev_5.4-4_i386.deb
 94b676c358be11710021e4c2b72f88cb 4432030 libdevel extra libncursesw5-dbg_5.4-4_i386.deb
 fb7abef961fb9d1b0938277ebc832baf 205572 base required ncurses-bin_5.4-4_i386.deb
 53be85a933f013d7381878b6a176c9da 11552 base required ncurses-base_5.4-4_all.deb
 75bd85644f128e52bbdc0ca63e9facab 278364 admin standard ncurses-term_5.4-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAtg7MbgOPXuCjg3cRAjhWAJ4wSDLFvWnGPPbovkjM+FpGvD931wCdHSa2
VvCiupTkD1xIoeWZyx4BsPw=
=B8X1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:34:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.